Package ru.bitel.bgbilling.plugins.documents.common.bean

# Class DocumentStatusLogItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.documents.common.bean.DocumentStatusLogItem

All Implemented Interfaces:
  `Serializable`, `Idable`

public class DocumentStatusLogItem extends Id
Класс-модель, представляющий собой запись лога изменений статуса документа.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentStatusLogItem()`
  `DocumentStatusLogItem(int id, int docId, int status, Date date, String comment, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  Переопределенный метод equals(), чтобы можно было сравнивать 2 записи лога не по их id (который, по сути, всегда будет разный и не так важен), а по коду статуса, что, в общем то, логично, т.к. нет смысла устанавливать статус документа, который УЖЕ установлен.
  `String`
  `getComment()`
  `int`
  `getDocumentId()`
  `Date`
  `getStatusDate()`
  `int`
  `getStatusId()`
  `int`
  `getUserId()`
  `DocumentStatusLogItem`
  `setComment(String comment)`
  `DocumentStatusLogItem`
  `setDocumentId(int documentId)`
  `DocumentStatusLogItem`
  `setId(int id)`
  Устанавливает id объекта
  `DocumentStatusLogItem`
  `setStatusDate(Date statusDate)`
  `DocumentStatusLogItem`
  `setStatusId(int status)`
  `DocumentStatusLogItem`
  `setUserId(int user)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DocumentStatusLogItem

    public DocumentStatusLogItem()

  - ### DocumentStatusLogItem

    public DocumentStatusLogItem(int id, int docId, int status, Date date, String comment, int userId)

- ## Method Details

  - ### equals

    public boolean equals(Object obj)
    Переопределенный метод equals(), чтобы можно было сравнивать 2 записи лога не по их id (который, по сути, всегда будет разный и не так важен), а по коду статуса, что, в общем то, логично, т.к. нет смысла устанавливать статус документа, который УЖЕ установлен.
    Overrides:
      `equals` in class `Id`

  - ### getComment

    public String getComment()

  - ### getDocumentId

    public int getDocumentId()

  - ### getStatusDate

    public Date getStatusDate()

  - ### getStatusId

    public int getStatusId()

  - ### getUserId

    public int getUserId()

  - ### setComment

    public DocumentStatusLogItem setComment(String comment)

  - ### setDocumentId

    public DocumentStatusLogItem setDocumentId(int documentId)

  - ### setId

    public DocumentStatusLogItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setStatusDate

    public DocumentStatusLogItem setStatusDate(Date statusDate)

  - ### setStatusId

    public DocumentStatusLogItem setStatusId(int status)

  - ### setUserId

    public DocumentStatusLogItem setUserId(int user)